# -*- rpm-spec -*-
# $Id: expect,v 1.10 2002/09/24 11:44:05 lioka Exp $

Name: expect
Version: 5.38
Release: alt1
Serial: 1

Summary: A tcl extension for simplifying program-script interaction
License: BSD
Group: Development/Tcl
Url: http://expect.nist.gov/

Source0: %name.tar.bz2
Source1: autopasswd

Patch0: %name-5.24-mkpasswd.patch
Patch1: %name-5.31-alpha.patch
Patch2: %name-5.31-jbj.patch
Patch3: %name-5.31-bug7869.patch
Patch4: %name-5.31-fixcat.patch
Patch5: %name-5.32.2-setpgrp.patch 
Patch6: %name-5.32.2-expectk.patch
Patch7: %name-5.32.2-random.patch
Patch8: %name-5.32.2-spawn.patch
Patch9: %name-5.38-fixline.patch

BuildRequires: tcl-devel >= 8.4.0-alt1 tk-devel >= 8.4.0-alt1
Requires: tcl >= 8.4.0-alt1 tk >= 8.4.0-alt1
 
%package devel
Summary: Expect static library and header files
Group: Development/C
Requires: %name = %serial:%version-%release
Requires: tcl-devel >= 8.4.0-alt1 tk-devel >= 8.4.0-alt1

%description
Expect is a tcl extension for automating interactive applications such
as telnet, ftp, passwd, fsck, rlogin, tip, etc.  Expect is also useful
for testing the named applications.  Expect makes it easy for a script
to control another program and interact with it.

Install the expect package if you'd like to develop scripts which interact
with interactive applications.  You'll also need to install the tcl
package.

%description devel
Expect is a tcl extension for automating interactive applications such
as telnet, ftp, passwd, fsck, rlogin, tip, etc.  Expect is also useful
for testing the named applications.  Expect makes it easy for a script
to control another program and interact with it.

This package provides development environment for expect.

%prep
%setup -q -n%name
%patch0 -p2
%patch1 -p2
%patch2 -p2
%patch3 -p2
%patch4 -p2
%patch5 -p2
%patch6 -p1
%patch7 -p1
%patch8 -p1
#%patch9 -p1

%build
%__subst 's|tk.h|tkInt.h|' configure Dbgconfigure
%configure --enable-shared --with-tclinclude=%_includedir/tcl/generic \
	--with-tkinclude=%_includedir/tk/generic
%configure --enable-shared --with-tclinclude=%_includedir/tcl/generic \
	--with-tkinclude=%_includedir/tk/generic
%make_build

%install
%make_install INSTALL_ROOT=%buildroot install
%__install -p -m755 %SOURCE1 %buildroot%_bindir/autopasswd
%__mkdir_p -m0755 %buildroot%_tcldatadir/%name%version
cat <<EOF > %buildroot%_tcldatadir/%name%version/pkgIndex.tcl
package ifneeded Expect 5.38.0 [list load [file join \$dir .. .. .. lib libexpect5.38.so]]
EOF

%files
%doc FAQ NEWS README
%_bindir/*
%_libdir/lib%name%version.so
%dir %_tcldatadir/%name%version
%_tcldatadir/%name%version/pkgIndex.tcl
%_man1dir/*

%files devel
%_includedir/*
%_libdir/lib%name%version.a
%_man3dir/*

%changelog
* Tue Sep 24 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1:5.38-alt1
- 5.38.0
- rebuilt with tcl 8.4

* Mon Jun 3 2002 Sergey Bolshakov <s.bolshakov@belcaf.com>  5.37-alt1
- 5.37.2
- RH patches adopted
- libpath changed to /usr/lib/tcl
- src rpm splitted.

* Mon Mar 18 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 8.3.4-alt7
- fixed encoding file for koi8-u

* Tue Mar 05 2002 Stanislav Ievlev <inger@altlinux.ru> 8.3.4-alt6
- removed all -lieee, 'cause
  fist: Programs can work with -lm and without -lieee
  second: Programs cannot link with lieee library

* Fri Dec  7 2001 Sergey Bolshakov <s.bolshakov@belcaf.com> 8.3.4-alt5
- tclx fixes
- fixed tls build with stubs from tcl build dir
- fixed permissions for %_libdir/lib*stub*.a

* Wed Oct 24 2001 Sergey Bolshakov <sbolshakov@altlinux.ru> 8.3.4-alt4
- Tcl/Tk 8.3.4
- SSL support added (tcl-tls)

* Mon Jul 23 2001 Dmitry V. Levin <ldv@altlinux.ru> 8.3.3-alt3
- Removed unnecessary provides and obsoletes.
- Added *_rel macros for subpackages and corrected inter-requires.
- Merged RH patches.

* Sat Jun 16 2001 Sergey Bolshakov <sbolshakov@altlinux.ru> 8.3.3-alt2
- Rearranged files in subpackages: tcl, tcl-devel
- Tk splitted to: tk tk-devel tk-demos
- tclX 8.3.0, splitted to: tclx tclx-devel
- tix 8.1, splitted to: tix tix-devel tix-demos
- itcl 3.2, splitted to: itcl itcl-devel itcl-demos compat-itcl compat-itcl-demos. Huh :)
- tcllib removed to separate package
- Dropped most of changelog entries
- Group fixed

* Tue May 15 2001 Sergey Bolshakov <sbolshakov@altlinux.ru> 8.3.3-alt1
- Tcl/Tk 8.3.3
- tcllib 0.8
- expect 5.32, splitted to subpackages.

* Wed Feb 07 2001 Dmitry V. Levin <ldv@fandra.org> 8.3.2-ipl8mdk
- Moved include files and C programming manual to tcl-devel subpackage.
- Fixed out empty manpages.

* Wed Nov 29 2000 AEN <aen@logic.ru> 8.3.2-ipl7mdk
- build for RE
- ps patch from Viktor Wagner
- bad requires patch


